﻿namespace WCS.WorkEngineering.WebApi.Models.WMS.Request
{
    /// <summary>
    ///  码垛创建异常工字轮信息
    /// </summary>
    public class PalletizingCreateseErrorTasksRequest
    {
        /// <summary>
        ///  码垛创建异常工字轮信息
        /// </summary>
        /// <param name="equCode"></param>
        /// <param name="type"></param>
        /// <param name="warehouseCode"></param>
        public PalletizingCreateseErrorTasksRequest(string equCode, string type, string warehouseCode)
        {
            WarehouseCode = warehouseCode;
            EquNo = equCode;
            Type = type;
        }

        /// <summary>
        ///  设备号
        /// </summary>
        public string? EquNo { get; set; }

        /// <summary>
        ///  工资轮型号 9/18/34/50
        /// </summary>
        public string? Type { get; set; }

        /// <summary>
        ///  仓库编号
        /// </summary>
        public string? WarehouseCode { get; set; }
    }
}
