﻿namespace WCS.WorkEngineering.WebApi.Models.AGV
{
    /// <summary>
    ///  AGV 返回结果code值枚举
    /// </summary>
    public class AgvResponseCode
    {
        /// <summary>
        ///  成功
        /// </summary>
        public static string Success { get; set; } = "0";

        /// <summary>
        ///  失败
        /// </summary>
        public static string Fail { get; set; } = "1";

        /// <summary>
        ///  重复提交
        /// </summary>
        public static string Repeat { get; set; } = "6";

        /// <summary>
        ///  失败，未知异常
        /// </summary>
        public static string Error { get; set; } = "99";
    }
}
