﻿namespace WCS.WorkEngineering.WebApi.Models.AGV.Response
{
    /// <summary>
    ///  获取移库任务
    /// </summary>
    public class AddWcsMoveTaskResponse
    {
        /// <summary>
        /// 0：失败；1：允许2升位执行；2：执行移库任务；3：一深位有出库任务
        /// </summary>
        public WmsApiMoveTask ResType { get; set; } = 0;

        /// <summary>
        /// 一深位货位号
        /// </summary>
        public string CellNo { get; set; }
    }

    /// <summary>
    /// 获取移库任务返回结果
    /// </summary>
    public enum WmsApiMoveTask
    {
        失败 = 0,
        允许2升位执行 = 1,
        执行移库任务 = 2,
        一深位有出库任务 = 3
    }
}
