using PlcSiemens.Core.Common;

namespace PlcSiemens.Core.Extension
{
    /// <summary>
    ///     ʱչ
    /// </summary>
    public static class DateTimeExtension
    {
        private static readonly DateTime MinDate = new DateTime(1970, 1, 1);
        private static readonly DateTime MaxDate = new DateTime(9999, 12, 31, 23, 59, 59, 999);

        /// <summary>
        /// ǰʱǷЧΧ֮
        /// </summary>
        /// <param name="target"></param>
        /// <returns></returns>
        public static bool IsValid(this DateTime target)
        {
            return (target >= MinDate) && (target <= MaxDate);
        }

        /// <summary>ʱתΪyyyy-MM-dd HH:mm:ssַָ֧Сʱַ</summary>
        public static string ToFullString(this DateTime value, string emptyValue = null)
        {
            return new DefaultConvert().ToFullString(value, emptyValue);
        }

        /// <summary>ʱתΪָʽַ</summary>
        public static string ToString(this DateTime value, string format, string emptyValue)
        {
            return new DefaultConvert().ToString(value, format, emptyValue);
        }
    }
}
