﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WCS.Core
{
    public class BelongToAttribute:Attribute
    {  
        public Type WorldType { get; set; }

        public BelongToAttribute(Type worldType)
        {
            this.WorldType = worldType;
        }
    }

    public class OrderAttribute : Attribute
    {
        public OrderType Order { get; set; }
        public Type SystemType { get; set; }

        public OrderAttribute(OrderType order,Type sysType)
        {
            this.Order = order;
            this.SystemType = sysType;
        }
    }

    public enum OrderType
    {
        Before = -1,
        After = 1
    }
     


}
