﻿using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.BCR
{
    /// <summary>
    /// 读码器读取协议
    /// </summary>
    [DataContract]
    [SugarTable("FJ_BCR80")]
    public class WCS_BCR80 : IBCR80
    {
        /// <summary>
        /// 内容
        /// </summary>
        [DataMember(Order = 0)]
        public string Content { get; set; }

        [DataMember(Order = 1)]
        public new DateTime Frame { get; set; }

        [DataMember(Order = 2)]
        public new string Code { get; set; }
    }
}
