﻿using System;
using System.Runtime.Serialization;
using SqlSugar;

namespace WCS.Entity.Protocol
{
    /// <summary>
    ///  FJ_Log
    /// </summary>
    [DataContract]
    [SugarTable("FJ_Log")]
    public class FJ_Log : QuestDBBaseEntity
    {
        [DataMember(Order = 0)]
        public string World { get; set; }

        [DataMember(Order = 1)]
        public string System { get; set; }

        [DataMember(Order = 2)]
        public string Title { get; set; }

        [DataMember(Order = 3)]
        public string Content { get; set; }

        [DataMember(Order = 4)]
        public DateTime ExTime { get; set; }

        [DataMember(Order = 6)]
        public int ManagedThreadId { get; set; }
    }

    ///// <summary>
    /////  FJ_HttpLog
    ///// </summary>
    //[DataContract]
    //[SugarTable("FJ_HttpLog")]
    //public class FJ_HttpLog : QuestDBBaseEntity
    //{
    //    /// <summary>
    //    /// 接口名
    //    /// </summary>
    //    [DataMember(Order = 0)]
    //    public string Name { get; set; }

    //    [DataMember(Order = 1)]
    //    public string  { get; set; }

    //    [DataMember(Order = 2)]
    //    public string Title { get; set; }

    //    [DataMember(Order = 3)]
    //    public string Content { get; set; }

    //    [DataMember(Order = 4)]
    //    public DateTime ExTime { get; set; }

    //    [DataMember(Order = 6)]
    //    public int ManagedThreadId { get; set; }
    //}
}
